## syndication-domination 1.0

=== meson_options.txt ===
option(
    'profile',
    type: 'combo',
    choices: [
        'release',
        'debug'
    ],
    value: 'release'
)
option(
    'PYTHON_BINDINGS',
    type: 'boolean',
    value: true
)
option(
    'TO_JSON_BINARY',
    type: 'boolean',
    value: false
)
option(
    'HTML_SUPPORT',
    type: 'boolean',
    value: true
)

=== debian/changelog ===
syndication-domination (1.0-3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:23:37 +0000

syndication-domination (1.0-3build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:12:33 +0000

syndication-domination (1.0-3build2) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:53 +0100

syndication-domination (1.0-3build1) oracular; urgency=medium

  * No-change rebuild for libtidy58

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 30 Jul 2024 08:05:04 +0100

syndication-domination (1.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to facilitate building with alternative python3 versions
  * Build for all suppported Python3 versions (Closes: #1059672)

  [ Andreas Tille ]
  * Switch Build-Depends: libpython3-dev → python3-all-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Jun 2024 16:43:39 -0400

syndication-domination (1.0-2) unstable; urgency=medium

  * debian/copyright: Add copyright for added patch, per ftpmaster request
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 13:06:30 -0400

syndication-domination (1.0-1) experimental; urgency=medium

  * Initial release. Closes: #1037262)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 May 2023 14:00:35 -0400

=== debian/control ===
Source: syndication-domination
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               libfmt-dev,
               libpugixml-dev,
               libtidy-dev,
               meson (>= 0.63.0),
               pkgconf,
               python3-pybind11,
Standards-Version: 4.6.2
Homepage: https://gitlab.com/gabmus/syndication-domination
Vcs-Git: https://salsa.debian.org/python-team/packages/syndication-domination.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/syndication-domination
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-syndom
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Python 3 library for parsing RSS and ATOM feeds
 syndication-domination is a Python 3 library for parsing RSS and ATOM feeds.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

VERSIONS := $(shell py3versions --supported -v)

%:
	dh $@

override_dh_auto_configure-arch:
	set -e; for v in $(VERSIONS); do \
		dh_auto_configure \
			--builddirectory=build-$$v \
			-- \
			-Dpython=/usr/bin/python$$v \
			; \
	done

override_dh_auto_build-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		dh_auto_build \
			--arch \
			--builddirectory=build-$$v \
			-- \
			; \
	done

override_dh_auto_test-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v; \
		dh_auto_test \
			--arch \
			--builddirectory=build-$$v \
			-- \
			; \
	done

override_dh_auto_install-arch:
	set -e; for v in $(VERSIONS); do \
		PYTHON=/usr/bin/python$$v \
		VERBOSE=1 \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$v \
			--destdir=debian/tmp \
			-- \
			; \
	done
